package com.yihu.jw.entity.hospital.survey;

import com.yihu.jw.entity.IntegerIdentityEntity;
import org.springframework.beans.factory.annotation.Autowired;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * Created by Trick on 2019/9/12.
 */
@Entity
@Table(name = "wlyy_survey_dept")
@SequenceGenerator(name="id_generated", sequenceName="WLYY_SURVEY_DEPT_SEQ")
public class WlyySurveyDeptDO extends IntegerIdentityEntity {

    /**
     * 问卷模板关系表
     */
    private String surveyTempCode;

    /**
     * 问卷部门
     */
    private String dept;

    /**
     * 问卷部门名称
     */
    private String deptName;

    public String getSurveyTempCode() {
        return surveyTempCode;
    }

    public void setSurveyTempCode(String surveyTempCode) {
        this.surveyTempCode = surveyTempCode;
    }

    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
